@font-face {
  font-family: "EBGaramond";
  src: url("../fonts/EBGaramond-VariableFont_wght.ttf") format("truetype");
	font-display: block;
}
@font-face {
  font-family: "hk-medium";
  src: url("../fonts/HKGrotesk-Medium.otf") format("opentype");
	font-display: block;
}

:root {
  --lightGray: #dbdbd2;
  --midGray: #8b8f91;
  --darkGray: #3a434f;
}

html {
  height: -webkit-fill-available;
}

body {
	background-color: var(--midGray);
  display: grid;
  grid-template-rows: 1fr auto;
  min-height: 100vh;
  min-height: -webkit-fill-available;
}

h1, h2, h3, h4, h5, h6, p.display {
  font-family: "EBGaramond", "figtree-variable", "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans display", Helvetica, sans-serif;
}

h1.display {
  font-size: 4rem;
  letter-spacing: -1px;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "hk-medium", "figtree-variable", "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans display", Helvetica, sans-serif;
	color: var(--darkGray);
  overflow-x: hidden;
}

/* hide focus rings, when user not hitting tab-key (if, the class .user-is-tabbing) */
body:not(.userTab) button:focus,
body:not(.userTab) input:focus,
body:not(.userTab) select:focus,
body:not(.userTab) textarea:focus {
  outline: none;
}

ul, ol {
  list-style-position: inside;
}

img {
  width: 100%;
  height: auto;
  display: block;
}

hr {
  border: none;
  border-bottom: 1px solid;
}

a {
	text-decoration: none;
  color: var(--darkGray);
}

span {
  color: var(--midGray);
}

p {
  line-height: 1.5rem;
}

p.noscript {
  position: fixed;
  top: 1rem;
  left: 1rem;
  z-index: 4;
  background-color: #ed6a5a;
  padding: 1rem;
}

div.content {
  transition: transform 0.3s ease;
}

small {
  font-size: 0.7rem;
}

/* --- Hero section --- */
div.start {
  width: 100%;
  margin: auto;
  height: 40vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}
/* --- End of Hero section --- */

/* --- Navigation Styling --- */
nav.mainNav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  margin: auto;
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
  z-index: 2;
  transition: top 0.3s;
}
.navlink {
  font-weight: bold;
}

button.openMenu, button.menuIcon {
  border: none;
  background-color: transparent;
  padding: 2rem;
  cursor: pointer;
  z-index: 2;
  font-size: 1rem;
  font-weight: bold;
}
button.menuIcon {
  position: absolute;
  top: 0;
  right: 0;
}
img.menuIcon {
  width: 20px;
  cursor: pointer;
}
div.artistName {
  padding: 2rem;
  font-weight: bold;
}

/* --- Navigation Sidebar --- */
div.navbar {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: rgba(219, 219, 210, 0.6);
  backdrop-filter: blur(15px);
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  padding: 5rem 2rem;
  z-index: 2;
}
/* --- End of Navigation --- */

div.spacerSmall {
  height: 5rem;
}
div.spacerMedium {
  height: 10rem;
}
div.spacerLarge {
  height: 15rem;
}

div.img {
  padding: 0 1rem;
}

/* standard Container */
div.container, div.textBlock, footer {
  width: 100%;
  margin: auto;
  padding: 2rem 1rem;
}

td {
  vertical-align: top;
  padding: 0.5rem 0;
}

/* Footer */
footer {
  background-color: var(--darkGray);
}

small > p {
  color: var(--lightGray);
}

/* from 720 px and for smartphones in landscape */
@media screen and (orientation: landscape), screen and (min-width: 720px) {
  div.textBlock {
    width: 70vw;
  }
}

/*from 1024 px */
@media screen and (min-width: 1024px) {
  div.textBlock {
    width: 60vw;
  }
}

/*from 1280 px */
@media screen and (min-width: 1280px) {
  div.textBlock {
    width: 50vw;
  }
}

/*from 2560 px */
@media screen and (min-width: 2560px) {
  div.textBlock {
    width: 40vw;
  }
}

/* Experiment Galerie */
.gallery-container {
  max-width: 1400px;
  margin: 0 auto;
  text-align: center;
  padding: 2rem;
}

.filter-buttons {
  margin-bottom: 1rem;
}

.filter-btn {
  background-color: var(--lightGray);
  border: none;
  color: var(--darkGray);
  padding: 10px 20px;
  margin: 5px;
  cursor: pointer;
  border-radius: 50px;
}

.filter-btn:hover {
  background-color: #e9ecef;
  color: #212529;
}

.filter-btn.active {
  background-color: var(--darkGray);
  color: #fff;
}

.gallery-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 2rem;
}

.gallery-item {
  overflow: hidden;
  border-radius: 4px;
}

.gallery-item img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

.hidden {
  display: none;
}
